Debian Bug report logs - #151949
bugs.debian.org: Create a "sponsorship" virtual package

Package: bugs.debian.org; Maintainer for bugs.debian.org is Debian Bug Tracking Team <owner@bugs.debian.org>;

Reported by: "Raphael Hertzog" <hertzog@debian.org>

Date: Thu, 4 Jul 2002 19:33:01 UTC

Severity: wishlist

Done: Don Armstrong <don@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org:
Bug#151949; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "Raphael Hertzog" <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Raphael Hertzog" <hertzog@debian.org>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: bugs.debian.org: Create a "sponsorship" virtual package
Date: Thu, 04 Jul 2002 21:24:47 +0200
Package: bugs.debian.org
Version: N/A; reported 2002-07-04
Severity: normal

Hi,

the CGI that is currently used for maintaining the list of sponsoree
and sponsors is not satisfying. An idea came up recently ... we decided
to use the BTS to keep track of people looking for sponsors. It provides
all the flexibilty we need.

So, please add a "sponsorship" virtual package with the maintainer
being "Debian Mentors <debian-mentors@lists.debian.org>". That way a
sponsor request will automatically end up there ...

When someone has a sponsor, he tags the bug as fixed until he's accepted
as Debian developer. It's difficult to make it more easy ...

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux solo 2.4.17-perso #1 lun déc 31 21:28:02 CET 2001 i686
Locale: LANG=fr_FR, LC_CTYPE=fr_FR

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org:
Bug#151949; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 151949@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 151949@bugs.debian.org
Subject: Just a ping - debian-educ list
Date: Tue, 23 Jul 2002 23:54:23 +0200
Hi dear listmasters,

I need this debian-educ list to get further in the work of integrating debian-educ
in Debian itself.

Is there any chance that you can create it one of these days ?

Thanks in advance,
-- 
Raphaël Hertzog -+- http://strasbourg.linuxfr.org/~raphael/
Formation Linux et logiciel libre : http://www.logidee.com



Information forwarded to debian-bugs-dist@lists.debian.org, owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org:
Bug#151949; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Anthony Towns <aj@azure.humbug.org.au>:
Extra info received and forwarded to list. Copy sent to owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 151949@bugs.debian.org (full text, mbox):

From: Anthony Towns <aj@azure.humbug.org.au>
To: 151949@bugs.debian.org, 151949-submitter@bugs.debian.org
Subject: Re: Bug#151949: bugs.debian.org: Create a "sponsorship" virtual package
Date: Sun, 28 Jul 2002 23:07:31 +1000
"An idea came up recently" is very good background information. Asking
on #-devel indicated the discussion on -newmaint about this mostly
indicated that people didn't think the BTS was particularly well suited
to sponsorship. I'm not inclined to add the sponsorship virtual package
without some more indication that it'll be useful.

Cheers,
aj

-- 
Anthony Towns <aj@humbug.org.au> <http://azure.humbug.org.au/~aj/>
I don't speak for anyone save myself. GPG signed mail preferred.

 ``If you don't do it now, you'll be one year older when you do.''



Message sent on to "Raphael Hertzog" <hertzog@debian.org>:
Bug#151949. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org:
Bug#151949; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #23 received at 151949@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Anthony Towns <aj@azure.humbug.org.au>
Cc: 151949@bugs.debian.org
Subject: Re: Bug#151949: bugs.debian.org: Create a "sponsorship" virtual package
Date: Sun, 28 Jul 2002 21:09:03 +0200
Le Sun, Jul 28, 2002 at 11:07:31PM +1000, Anthony Towns écrivait:
> "An idea came up recently" is very good background information. Asking
> on #-devel indicated the discussion on -newmaint about this mostly

In the very same thread, I explained why I think it was enough and got no
response to my mail. The only complaint was that it should be integrated
within the newmaint database but I think that's it's not useful because:
- the sponsorship request is package-based and not necessarily
  person-based
- that's specific code that someone will have to maintain with no
  added value

If a link needs to be done between the newmaint database and the
sponsorship system, then it can be later done by adding references to
bug number in the newmaint database.

> indicated that people didn't think the BTS was particularly well suited
> to sponsorship. I'm not inclined to add the sponsorship virtual package
> without some more indication that it'll be useful.

In any case, the BTS is better than the actual CGI. With the actual
solution :
- one can never update any info that he has submitted
- one can't register several times for different packages to sponsor
- the cgi is running on non-Debian machines and it already was in
  failure for more than a week without anybody to put it online again

The CGI serves only two purposes :
- listing the people who are looking for sponsor
- listing the people who are currently sponsored

This is easily doable with the fixed tag or pending tag for example.
A non-fixed bug means "Looking for someone" while the other is "I have
someone and I'm doing this".

I hope I convinced you. If you don't think so, feel free to ask for
input in debian-devel@l.d.o (or debian-mentors@l.d.o maybe).

Cheers,
-- 
Raphaël Hertzog -+- http://strasbourg.linuxfr.org/~raphael/
Formation Linux et logiciel libre : http://www.logidee.com



Information forwarded to debian-bugs-dist@lists.debian.org, owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org:
Bug#151949; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@gkvk.hr>:
Extra info received and forwarded to list. Copy sent to owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #28 received at 151949@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@gkvk.hr>
To: Raphael Hertzog <hertzog@debian.org>, 151949@bugs.debian.org
Subject: Re: Bug#151949: Just a ping - debian-educ list
Date: Sat, 17 Aug 2002 21:31:22 +0200
On Tue, Jul 23, 2002 at 11:54:23PM +0200, Raphael Hertzog wrote:
> Hi dear listmasters,
> 
> I need this debian-educ list to get further in the work of integrating debian-educ
> in Debian itself.
> 
> Is there any chance that you can create it one of these days ?

Note that this message was sent to the wrong bug, this one is against
bugs.d.o, not lists.d.o.

-- 
     2. That which causes joy or happiness.



Information forwarded to debian-bugs-dist@lists.debian.org, owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org:
Bug#151949; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #33 received at 151949@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: debian-mentors@lists.debian.org, debian-newmaint@lists.debian.org
Cc: 151949@bugs.debian.org
Subject: Use of the BTS for managing sponsorship
Date: Mon, 26 Aug 2002 16:40:51 +0200
Hi people,

I already proposed this a long time ago. I want to use the BTS to manage
the sponsorship request. I think it's a good idea because the current
CGI is awful (no way to update his own entry, hosted on a non debian
machine) and because the BTS can easily fullfill that role.

The current CGI is at :
http://www.internatif.org/bortzmeyer/debian/sponsor/

That's why I went away and requested what's necessary :
http://bugs.debian.org/151949

Unfortunately, Anthony Towns doesn't agree with me because some IRCers
misinterpreted the last thread about it.

If you agree with me, please send a mail to the bug log so that
aj can be convinced (just use reply all to this mail). If you don't
agree, feel free to voice you opinion and justify your position.

But if you criticize, make sure to find something better, and be ready
to implement it if it's more complicated than my solution. Otherwise,
please let me do something that is better than the current situation.

Cheers,
-- 
Raphaël Hertzog -+- http://strasbourg.linuxfr.org/~raphael/
Formation Linux et logiciel libre : http://www.logidee.com



Information forwarded to debian-bugs-dist@lists.debian.org, owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org:
Bug#151949; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Filip Van Raemdonck <mechanix@debian.org>:
Extra info received and forwarded to list. Copy sent to owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #38 received at 151949@bugs.debian.org (full text, mbox):

From: Filip Van Raemdonck <mechanix@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: debian-mentors@lists.debian.org, debian-newmaint@lists.debian.org, 151949@bugs.debian.org
Subject: Re: Use of the BTS for managing sponsorship
Date: Mon, 26 Aug 2002 17:26:42 +0200
On Mon, Aug 26, 2002 at 04:40:51PM +0200, Raphael Hertzog wrote:
> 
> If you agree with me, please send a mail to the bug log so that
> aj can be convinced (just use reply all to this mail). If you don't
> agree, feel free to voice you opinion and justify your position.

I do agree.

In #151949 Raphaël wrote:

> - the sponsorship request is package-based and not necessarily
>   person-based.

This is very much on the point. I sponsor only a few packages, for a few
people, but I sponsor none of these people with more than one package. Why
should I, if their other packages (if any) don't interest me one bit or if
they are simply out of my ability to check for issues, for example if they
are written in a program language I don't know?

Another advantage of the BTS is that the sponsoree (?) can CC: the BTS every
time he asks his sponsor for a new upload.[1] That way any developer can
check the bug and propose to upload if it takes too long, for one reason or
another. Added side-effect: this gives a small history which can be checked
for by an AM for the T&S check, even if it wouldn't be exhaustive.


Regards,

Filip

[1] And tagging + help to make it easy to scan for such packages.

-- 
BlueScreen uglifies wizards, so turn it off
	-- read when binary-viewing a raw NT partition



Information forwarded to bugs.debian.org@packages.qa.debian.org:
Bug#151949; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Peter Palfrader <weasel@debian.org>:
Extra info received and filed, but not forwarded. Copy sent to bugs.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #43 received at 151949-quiet@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: 151949-quiet@bugs.debian.org
Cc: debian-mentors@lists.debian.org
Subject: Re: Use of the BTS for managing sponsorship
Date: Mon, 26 Aug 2002 19:38:17 +0200
[Message part 1 (text/plain, inline)]
On Mon, 26 Aug 2002, Filip Van Raemdonck wrote:

> On Mon, Aug 26, 2002 at 04:40:51PM +0200, Raphael Hertzog wrote:
> > 
> > If you agree with me, please send a mail to the bug log so that
> > aj can be convinced (just use reply all to this mail). If you don't
> > agree, feel free to voice you opinion and justify your position.

I disagree. I don't see how this could work. FWIW I sponsor single
uploads of single packages. People seeking sponsors should mail to
-mentors. a BTS is not needed.

					yours,
					peter

-- 
 PGP signed and encrypted  |  .''`.  ** Debian GNU/Linux **
    messages preferred.    | : :' :      The  universal
                           | `. `'      Operating System
 http://www.palfrader.org/ |   `-    http://www.debian.org/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org:
Bug#151949; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #48 received at 151949@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: debian-mentors@lists.debian.org, debian-newmaint@lists.debian.org
Cc: 151949@lists.debian.org
Subject: Re: Bug#151949: Use of the BTS for managing sponsorship
Date: Mon, 26 Aug 2002 20:17:11 +0200
Le Tue, Aug 27, 2002 at 03:49:56AM +1000, Anthony Towns écrivait:
> On Mon, Aug 26, 2002 at 04:40:51PM +0200, Raphael Hertzog wrote:
> > If you agree with me, please send a mail to the bug log so that
> > aj can be convinced 
> 
> ...that you're all a bunch of nutcases that should be ignored.

Heh, I was sure you'd reply something like that. Let's face it, you're
just asking too much for such a little detail in our way of working.
Adding single line in the pseudo-package files is not a big effort and
it can be easily reverted if anybody comes up with something better.
Until I see something else working, I'm not going to change my mind
(you know, you're doing the same thing so you can easily understand me).

Forget about bitchers until they provide something else.

[ And you know, discussing things in the BTS is a normal way of a
resolving a bug. ]

> Don't do this, discuss it on -newmaint and come to a consensus, rather
> than a dead-end.

Things are not working like that. We do things, if people are unhappy,
they improve things. Consensus rarely exists until we see something in
action...

I've done the first CGI, I'm unhappy with that, I want a BTS entry
because it's better, I ask for it. If after several months, we realize
it's not adapted at all, someone may develop something else. Until
then what I propose is imho the best thing we can do. Stop blocking
people from doing things when those things don't hurt. Just tell me
why the sponsorship entry is bad.

Cheers,
-- 
Raphaël Hertzog -+- http://strasbourg.linuxfr.org/~raphael/
Formation Linux et logiciel libre : http://www.logidee.com



Information forwarded to debian-bugs-dist@lists.debian.org, owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org:
Bug#151949; Package bugs.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Anthony Towns <aj@azure.humbug.org.au>:
Extra info received and forwarded to list. Copy sent to owner@bugs.debian.org (Darren O. Benham and others), bugs.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #53 received at 151949@bugs.debian.org (full text, mbox):

From: Anthony Towns <aj@azure.humbug.org.au>
To: Raphael Hertzog <hertzog@debian.org>, 151949@bugs.debian.org
Cc: debian-mentors@lists.debian.org, debian-newmaint@lists.debian.org
Subject: Re: Bug#151949: Use of the BTS for managing sponsorship
Date: Tue, 27 Aug 2002 04:57:38 +1000
On Mon, Aug 26, 2002 at 08:17:11PM +0200, Raphael Hertzog wrote:
> Just tell me why the sponsorship entry is bad.

Sorry, that's not the way it works. If you want me to do something, you
need to convince me that it's good. If that turns out to be harder than
doing it yourself, then do it yourself. Whatever. The only way you're
going to do that is to get a consensus on -newmaint or -mentors that
this is a good way fo doing things, which you didn't have last time.

FWIW, actually making sure you understand the objections raised by
everyone else, and making sure you have answers for them (even if it's
only "the current way doesn't handle that, and no one else has got
anything better") is a good start on that.

Consensus is a lot more achievable than you think, if you're willing to
put the effort in, and willing to admit that your initial idea might've
been stupid.

Please don't continue to Cc the bug until there's some useful to add.

Cheers,
aj

-- 
Anthony Towns <aj@humbug.org.au> <http://azure.humbug.org.au/~aj/>
I don't speak for anyone save myself. GPG signed mail preferred.

 ``If you don't do it now, you'll be one year older when you do.''



Severity set to `wishlist'. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Raphael Hertzog" <hertzog@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #60 received at 151949-done@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 151949-done@bugs.debian.org
Subject: mentors.debian.net and -mentors have supplanted the need for this
Date: Tue, 12 Sep 2006 02:57:47 -0700
mentors.debian.net and the -mentors mailing list have pretty much
supplanted the need for a sponsorship pseudopackage, and done it quite
a bit better than the bts would be capable of.


Don Armstrong

-- 
The major difference between a thing that might go wrong and a thing
that cannot possibly go wrong is that when a thing that cannot
possibly go wrong goes wrong it usually turns out to be impossible to
get at or repair.
 -- Douglas Adams  _Mostly Harmless_

http://www.donarmstrong.com              http://rzlab.ucr.edu



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 06:33:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 15:49:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.